<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>数据转换：转换为String，方式String()函数</title>
</head>
<body>
    <script>
       var a=123;
        console.log(String(a));//'123'
        var b=null;
        console.log(String(b));//null
        var c=undefined;
        console.log(String(c));//undegfined
        console.log(String({a:1}));//[object,object]
        console.log(String([1,2,3]));//1,2,3
        console.log(typeof(String({a:1})));//string
        console.log(typeof(String([1,2,3])));//string
    </script>
</body>
</html>